Loading...
Searching...
No Matches
Exiv2::Internal::TiffCreator Class Reference

TIFF component factory. More...

`#include <tiffimage_int.hpp>`

## Static Public Member Functions

static std::unique_ptr< TiffComponent > | create (uint32_t extendedTag, IfdId group)
| Create the TiffComponent for TIFF entry extendedTag and group. The embedded lookup table is used to find the correct component creation function. If the pointer that is returned is 0, then the TIFF entry should be ignored.
static TiffPath | getPath (uint32_t extendedTag, IfdId group, uint32_t root)
| Get the path, i.e., a list of extended tag and group pairs, from the root TIFF element to the TIFF entry extendedTag and group.

## Detailed Description

TIFF component factory.

The documentation for this class was generated from the following files:

- tiffimage_int.hpp
- tiffimage_int.cpp